oscar_sleep_script:
  alias: oscar_sleep_script
  sequence:
  - service: sonos.set_sleep_timer
    data_template:
      sleep_time: '{{ states(''input_number.oscar_sleep_timer'') | int * 60  }}'
    target:
      entity_id: media_player.oscar
  mode: single
talk_on_vardagsrum:
  alias: talk_on_vardagsrum
  use_blueprint:
    path: balloob/announce-text-to-speech-on-media-player.yaml
    input:
      text_to_speech_engine: tts.google_sv_se
      media_player:
      - media_player.vardagsrum
talk_on_oscar:
  alias: talk_on_oscar
  use_blueprint:
    path: balloob/announce-text-to-speech-on-media-player.yaml
    input:
      text_to_speech_engine: tts.google_sv_se
      media_player:
      - media_player.oscar
  icon: mdi:speaker-message
kok_ct_timer_2:
  alias: kok_ct_timer_2
  sequence:
  - action: timer.start
    metadata: {}
    data: {}
    target:
      entity_id: timer.kokct
  - wait_template: '"{{ state.binary_sensor.sensor_inne_kitchen_mt004_occupancy.state
      == ''on'' }}"'
    continue_on_timeout: true
    timeout: 00:05:00
  - action: timer.cancel
    metadata: {}
    data: {}
    target:
      entity_id: timer.kokct
  - action: light.turn_off
    metadata: {}
    data: {}
    target:
      entity_id: light.kok_ct
  description: ''
test:
  alias: Test
  sequence:
  - action: homeassistant.turn_on
    metadata: {}
    data: {}
    target:
      entity_id: group.jul_group
  description: ''
play_guitrar_dionysos:
  alias: play guitrar dionysos
  sequence:
  - action: media_player.media_play
    metadata: {}
    target:
      entity_id: media_player.spotify_simon
    data:
      source: dionysos
  description: ''
varmepump_nattlage_med_stegvis_justering:
  alias: Värmepump - Nattläge med stegvis justering (Uppdaterad)
  sequence:
  - wait_for_trigger:
    - trigger: time
      at: 00:00:01
    continue_on_timeout: false
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 18
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '2'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '3'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '4'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 19
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '2'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '3'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '4'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 20
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '2'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '3'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '4'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 21
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '2'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '3'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '4'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 22
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '2'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '3'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '4'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 23
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '2'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    metadata: {}
    data:
      fan_mode: '3'
    target:
      device_id: ced8502d2ee4ac70dbb9929329ec3ae2
  - delay:
      hours: 0
      minutes: 30
      seconds: 0
  - action: climate.set_fan_mode
    data: {}
nfc_playbox_volume_handler:
  alias: NFC-playbox Volume up
  sequence:
  - data: {}
    target:
      entity_id: input_boolean.esp32_spotify_volume
    action: input_boolean.turn_on
  - data: {}
    target:
      entity_id:
      - media_player.ada
    action: media_player.volume_up
  - delay:
      hours: 0
      minutes: 0
      seconds: 5
      milliseconds: 0
  - data: {}
    target:
      entity_id: input_boolean.esp32_spotify_volume
    action: input_boolean.turn_off
  mode: restart
  icon: mdi:spotify
  description: ''
nfc_playbox_volume_down:
  sequence:
  - data: {}
    target:
      entity_id: input_boolean.esp32_spotify_volume
    action: input_boolean.turn_on
  - data: {}
    target:
      entity_id:
      - media_player.ada
    action: media_player.volume_down
  - delay:
      hours: 0
      minutes: 0
      seconds: 5
      milliseconds: 0
  - data: {}
    target:
      entity_id: input_boolean.esp32_spotify_volume
    action: input_boolean.turn_off
  alias: NFC-playbox Volume down
  mode: restart
  icon: mdi:spotify
  description: ''
